QGIS Application - Bug report #17370
point parameter bug in processing batch process
2017-11-01 06:58 AM - Patrick Palmier

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.18.13 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25267
Description

Hello,

I'm writing script with processing tool.
When | used a point parameter the script works well, but when | run it as a batch process it scratches due to an error of point parameter.

Thanks

History

#1 - 2017-11-02 12:24 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please add the script, the data and the error message.

#2 - 2017-11-02 01:55 PM - Patrick Palmier

- File zonage_ EMD2016_GT_centroids.shx added
- File zonage_ EMD2016_GT_centroids.shp added
- File zonage_ EMD2016_GT__centroids.qpj added
- File zonage_ EMD2016_GT__centroids.prj added
- File zonage_ EMD2016_GT_centroids.dbf added
- File error_point_parameter_message.jpg added

- File matrice.py added

Hello,

To reproduce the bug run the script matrice.py as batch process (in normal mode it works. It crashes only in batch process mode)

Fill with

noeuds: zonage_ EMD2016_GT_centroids (attached)
numero: zone

pt_depart: click on the map near a point object
pt_arrivee: click on the map near a point object
nb_passagers: 1

jour: 1

heure: 8:00:00

depart: Yes
Then, run the script. It should crash and show a message similar to error_point_parameter_message.jpg

Thanks

#3 - 2017-11-02 02:10 PM - Giovanni Manghi

Just tried on 2.18.14 on both Linux and Windows and (not in batch mode) running the tool (with the parameters as you described) does nothing: no output,

no error message, nothing also in qgis log.

#4 - 2017-11-02 02:41 PM - Patrick Palmier
- File script_parameters.jpg added

Hello,

| just installed the 2.18.14 version and | still have the same error
Please find the filled parameters screenshot

My version of the processing extension is 2.12.99

2017-11-02T14:34:50 1 Traceback (most recent call last):
File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\processing\gui\BatchAlgorithmDialog.py", line 78, in accept
if not self.mainWidget.setParamValue(param, widget, alg):
File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\processing\gui\BatchPanel.py", line 320, in setParamValue
return param.setValue(widget.text())
AttributeError: 'PointSelectionPanel' object has no attribute 'text'

#5 - 2017-11-02 02:53 PM - Giovanni Manghi

2017-11-02T14:34:50 1 Traceback (most recent call last):

File "C:/PROGRA~1/QGIS2~1.18/apps/qqis/./python/plugins\processing\gui\BatchAlgorithmDialog.py", line 78, in accept
if not self.mainWidget.setParamValue(param, widget, alg):

File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\processing\gui\BatchPanel.py", line 320, in setParamValue
return param.setValue(widget.text())

AttributeError: 'PointSelectionPanel' object has no attribute 'text'

| see this, but this is anyway a different error from the one you posted as an image. And anyway not using the batch mode the scripts does nothing (again

tested on linux and windows).

#6 - 2017-11-02 03:51 PM - Patrick Palmier

If you don't use it in batch mode but in normal mode and if you set a output text file (fichier_matrice), the script will write a semicolon delimited file with one

row containing as the disk location you choose.

the zone number of the nearest point from the first click

the zone number of the nearest point from the second click

the number of passengers (form value nb_passengers)

the day (form value of jour)

the time in minutes (conversion in minutes of the from value heure)
d if depart is checked (a if not)

It's not awesome but yes, the script does something (It's just a small example to show the bug)

#7 - 2017-11-02 03:53 PM - Giovanni Manghi
- Status changed from Feedback to Open

Patrick Palmier wrote:

If you don't use it in batch mode but in normal mode and if you set a output text file (fichier_matrice), the script will write a semicolon delimited file

with one row containing as the disk location you choose.

oh | see... | was expecting something to be loaded in the project.

#8 - 2018-06-01 07:00 AM - Nyall Dawson
- Status changed from Open to Closed
- Resolution set to fixed/implemented

Fixed in 3.0

Files

matrice.py 1.34 KB 2017-11-02 Patrick Palmier
error_point_parameter_message.jpg 49.9 KB 2017-11-02 Patrick Palmier
zonage_EMD2016_GT_centroids.prj 432 Bytes 2017-11-02 Patrick Palmier
zonage_ EMD2016_GT_centroids.dbf 11.5 KB 2017-11-02 Patrick Palmier
zonage_EMD2016_GT_centroids.qpj 683 Bytes 2017-11-02 Patrick Palmier
zonage_EMD2016_GT_centroids.shp 15.3 KB 2017-11-02 Patrick Palmier
zonage_EMD2016_GT_centroids.shx 4.45 KB 2017-11-02 Patrick Palmier
script_parameters.jpg 77.9 KB 2017-11-02 Patrick Palmier
